Copy an Optionlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/optionlists/{optionlist_id}

Note: This operation uses the non-standard HTTP COPY method. It is documented under POST because OpenAPI does not support custom HTTP methods — send the actual request with the COPY verb.

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the optionlist

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the copied optionlist id

POST /profiles/{profile_id}/optionlists/{optionlist_id}
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/[servername]/profiles/self/optionlists/{optionlist_id}' \
 --header "Authorization: Bearer {access_token}"
Response examples (201)
{
  "id": 393658
}